# Variable random

random: {
all_views: (
table: Table,
) => Promise<{ edit: View; list: View; show: View }>;
fill_table_row: (table: Table) => Promise<void>;
initial_view: (table: Table, viewtemplate: string) => Promise<View>;
random_table: (opts?: GenObj) => Promise<Table>;
}

#### Type Declaration

- ##### all_views: (table: Table) => Promise<{ edit: View; list: View; show: View }>

  Create all views

- ##### fill_table_row: (table: Table) => Promise<void>

  Fill table row by random data

- ##### initial_view: (table: Table, viewtemplate: string) => Promise<View>

  Create View

- ##### random_table: (opts?: GenObj) => Promise<Table>

- Defined in packages/saltcorn-data/models/random.ts:220